<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [BrowserOptions](./puppeteer.browseroptions.md)

## BrowserOptions interface

Generic browser options that can be passed when launching any browser.

<b>Signature:</b>

```typescript
export interface BrowserOptions 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [defaultViewport](./puppeteer.browseroptions.defaultviewport.md) | Viewport |  |
|  [ignoreHTTPSErrors](./puppeteer.browseroptions.ignorehttpserrors.md) | boolean |  |
|  [slowMo](./puppeteer.browseroptions.slowmo.md) | number |  |

